@import url('../fonts/hkgrotesk/stylesheet.css');
@import url('../fonts/larken/stylesheet.css');

body {
    top: 0;
    position: relative;
    font-family: 'HK Grotesk';
    font-weight: normal;
    overflow-x:hidden !important;
    font-style: normal;
    background-color: #f1ece1ec;
    color: #000;
}
body.modal-open {
    overflow: hidden !important;
    padding-right: 0px !important;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Larken';
    font-weight: 300;
    font-style: normal;
}
p,
small,
a {
    font-family: 'HK Grotesk';
    font-weight: normal;
    font-style: normal;
}
a {
    text-decoration: none !important;
}
.cursor-pointer {
  cursor: pointer;
}
p{
  font-size: 0.9rem;
}
.bg-primary {
  background-color: #003F52 !important;
}
.bg-secondary {
  background-color: #BF7F63 !important;
}
.text-primary {
  color: #003F52 !important;
}
.text-secondary {
  color: #BF7F63 !important;
}
.bg-gold {
  background-color: #f1ece1 !important;
}
/* nabar  */
.navMain {
  position: absolute;
  top:0;
  right: 0;
  left:0;
  width: 100%;
  z-index: 9;
}
#roto {
  position: relative;
}
#roto::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 0;
  bottom: 0;
  left: 0;
  pointer-events: none;
  background: linear-gradient(0deg, #f1ece1ec, transparent);
  opacity: 0;
  z-index: 4;
  transition: 0.2s all ease;
}
#roto.active::before {
  opacity: 1;
  height: 50%;
}
.slide {
  width: 100%;
  min-height: 100vh;
  position: relative;
  overflow: hidden;
  background-color: #000;
}
.slide .mainImage {
  position: absolute;
  width: 100%;
  height: 100vh;
  object-fit: cover;
  object-position: center;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  /* animation-name: rotate;
  animation-timing-function: cubic-bezier(0.02, 0.63, 0.23, 0.95rotoTransition);
  animation-iteration-count: 1;
  animation-duration: 1.2s; */
}
.slide .roundOuter {
  position: absolute;
  width: 86vw;
  height: 86vw;
  overflow: hidden;
  border-radius: 50%;
  left: calc(50% - 43vw);
  top: calc(50% - 43vw);
  filter: brightness(0.99);
  z-index: 1;
  border: 1px solid rgba(255, 255, 255, 0.2);
}
.slide .roundOuter img {
  position: absolute;
  width: 100%;
  height: 100vh;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  object-fit: cover;
  object-position: center;
  /* animation-name: rotate;
  animation-timing-function: cubic-bezier(0.02, 0.63, 0.23, 0.99);
  animation-iteration-count: 1;
  animation-duration: 1.2s; */
}
.slide .roundInner {
  position: absolute;
  width: 50vw;
  height: 50vw;
  overflow: hidden;
  left: calc(50% - 25vw);
  top: calc(50% - 25vw);
  border-radius: 50%;
  border: 1px solid rgba(255, 255, 255, 0.2);
  z-index: 2;
}
.slide .roundInner img {
  position: absolute;
  width: 100%;
  height: 100vh;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  object-fit: cover;
  object-position: center;
  /* animation-name: rotate;
  animation-timing-function: cubic-bezier(0.02, 0.63, 0.23, 0.99);
  animation-iteration-count: 1;
  animation-duration: 1.2s; */
}
.slide .slideText {
  position: absolute;
  z-index: 3;
  width: 100%;
  height: 100%;
  display: grid;
  place-content: center;
  text-align: center;
  background-color: rgba(0, 0, 0, 0.4);
}
.slide .slideText h1 {
  font-size: 4vw;
  color:#fff;
  font-weight: 400;
  text-transform: uppercase;
  letter-spacing: 1vw;
  text-align: center;
  padding-left: 5vw;
  animation-delay: 1s;
  filter: drop-shadow(0 2px 10px #000);
  position: relative;
}
.slide .slideText h1::after {
  content: "";
  position: absolute;
  width: 40vw;
  height: 1px;
  background-color: #fff;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}
.slide .slideText p {
  text-align: center;
  letter-spacing: 2px;
  font-weight: 600;
  font-size: 1.3rem;
  padding-left: 1.3rem;
  text-transform: uppercase;
  color:#fff;
  animation-delay: 1.5s;
  filter: drop-shadow(0 2px 10px #000);
}

@keyframes rotate {
  0% {
    transform: translate(-50%, 0%) scale(1);
  }
  100% {
    transform: translate(-50%,-50%) scale(1);
  }
}

/* CSS */
.btn-outline {
  font-size: 16px;
  padding: 10px 35px 10px;
  outline: 0;
  border: 1px solid #fff !important;
  cursor: pointer;
  position: relative;
  color: #fff;
  background-color: rgba(0, 0, 0, 0);
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  z-index: 1;
}
.btn-outline-white {
  font-size: 16px;
  padding: 10px 35px 10px;
  outline: 0;
  border: 1px solid #fff !important;
  cursor: pointer;
  position: relative;
  color: #fff;
  background-color: rgba(0, 0, 0, 0);
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  z-index: 1;
}
.btn-outline-dark {
  font-size: 16px;
  padding: 10px 35px 10px;
  outline: 0;
  border: 1px solid #BF7F63 !important;
  cursor: pointer;
  position: relative;
  color: #fff;
  background-color: rgba(0, 0, 0, 0);
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  z-index: 1;
}

.btn-outline:after {
  content: "";
  background-color: #003F52;
  width: 100%;
  z-index: -1;
  position: absolute;
  height: 100%;
  top: 5px;
  left: 5px;
  transition: 0.2s;
}
.btn-outline-dark:after {
  content: "";
  background-color: #003F52;
  width: 100%;
  z-index: -1;
  position: absolute;
  height: 100%;
  top: 5px;
  left: 5px;
  transition: 0.2s;
}
.btn-outline-white:after {
  content: "";
  background-color: #BF7F63;
  width: 100%;
  z-index: -1;
  position: absolute;
  height: 100%;
  top: 5px;
  left: 5px;
  transition: 0.2s;
}
.invertImg {
  filter: brightness(0) invert(0);
}
.btn-outline:hover:after, .btn-outline-white:hover:after, .btn-outline-dark:hover:after {
  top: 0px;
  left: 0px;
}
.btn-outline svg, .btn-outline-white svg, .btn-outline-dark svg {
  position: absolute;
  left: 0;
  top: 0;
  fill: none;
  stroke: #fff;
  stroke-dasharray: 150 480;
  stroke-dashoffset: 150;
  transition: 1s ease-in-out;
}

.btn-outline:hover, .btn-outline-white:hover, .btn-outline-dark:hover{
  transition: 1s ease-in-out;
}

.btn-outline:hover svg,  .btn-outline-white:hover svg, .btn-outline-dark:hover svg {
  stroke-dashoffset: -480;
}


@media (max-width: 575px) {
  .slide .mainImage {
    width: 100vh;
    height: 100vh;
  }
  .slide .roundOuter {
    width: 86vh;
    height: 86vh;
    left: calc(50% - 43vh);
    top: calc(50% - 43vh);
  }
  .slide .roundOuter img {
    width: 100vh;
    height: 100vh;
  }
  .slide .roundInner {
    width: 50vh;
    height: 50vh;
    left: calc(50% - 25vh);
    top: calc(50% - 25vh);
  }
  .slide .roundInner img {
    width: 100vh;
    height: 100vh;
  }
  .slide .slideText h1 {
    font-size: 9vw;
    letter-spacing: 3vw;
    padding-left: 3vw;
  }
  .slide .slideText p {
    font-size: 5vw;
    letter-spacing: 2vw;
    padding-left: 2vw;
  }
}
.featSec {
  position: relative;
  display: flex;
  justify-content: center;
  flex-direction: column;
  text-align: center;
  height: 100%;
}

.featSec svg {
  position: absolute;
  top:0;
  right: 0;
  left:0;
  bottom: 0;
}

.featSec .line {
  stroke-dasharray: 260;
  stroke-linejoin: miter; 
  stroke-width: 1px;
  fill: transparent;
  stroke: #BF7F63;
  animation: svgAnimation 4.5s linear infinite;
}

@keyframes svgAnimation {
  from {
    stroke-dashoffset: 0;
  }
  to {
    stroke-dashoffset: 1000;
  }
}
.parallaxBg {
  background-image: url('../images/parallax2.webp'),linear-gradient(to right, transparent 50%, #f1ece1 50%);
  background-attachment: fixed;
  background-size: 60%; 
  background-repeat: no-repeat;
  width: 100%;
  background-position: right;
  min-height: 550px !important;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.parallaxBg2 {
  background-image: url('../images/luxury.webp');
  background-attachment: fixed;
    background-size: cover;
    background-repeat: no-repeat;
    width: 100%;
    background-position: center right;
    min-height: 500px !important;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: start;
}
.border-secondary {
  border:1px solid #BF7F63 !important;
}
.bgFooter {
  background-image: url('../images/about1.webp');
  background-size: cover; 
  background-repeat: no-repeat;
  background-position: center;
  min-height: 500px !important;
  height: 100%;
}
.bgModal {
  background-image: url('../images/about1.webp');
  background-size: cover; 
  background-repeat: no-repeat;
  background-position: center;
  min-height: 500px !important;
  height: 100%;
  box-shadow: inset 0 0 0 2000px rgba(0, 0, 0, 0.85);
}
.contactFormDiv2 {
  background-image: url('../images/bg.webp');
  background-size: cover; 
  background-repeat: no-repeat;
  background-position: center;
  border-radius: 15px;
  outline: 5px solid transparent;
}
.contactFormDiv2 .svg1 {
    position: absolute;
    top: -10px;
    right: -5px;
    left: -10px;
    bottom: 5px;
}
.subscribeForm .form-control {
  border: 0px !important;
    border-bottom-width: 0px;
    border-bottom-style: none;
    border-bottom-color: currentcolor;
  border-bottom: 1px solid #f1ece1ec !important;
  color: #fff !important;
  background-color: transparent !important;
  border-radius: 0px !important;
  padding-left: 0px;
  font-size: 0.920em !important;
  line-height: 1.84089236em !important;
}
.subscribeForm .form-control::placeholder, .subscribeForm .form-label {
  color: #fff !important;
  font-size: 0.920em !important;
  line-height: 1.84089236em !important;
}
.contactFormDiv2 .iti--separate-dial-code .iti__selected-dial-code {
  color:#fff
}
.amenityBox {
  display: flex;
  position: relative;
  transition: 0.3s;
  overflow: hidden;
}
.amenityIcon {
  flex: none;
  height: 60px;
  width: 60px;
  display: block;
  position: relative;
  margin-right: 25px;
  transition: 0.3s;
}
.amenityIcon img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  padding-bottom: 15px;
  padding-top: 10px;
  transform: translateY(0px);
}
.amenityIcon:after {
  content: "";
  display: block;
  position: absolute;
  height: 55px;
  right: 0;
  left: 0;
  margin: 0 auto;
  top: 50px;
  width: 1px;
  background: #c4c4c4;
}
.amenityBox:hover .amenityIcon {
  transform: translateY(-15px);
}
.bgGradient {
  background-image: linear-gradient(215deg, rgba(0, 0, 0, 0.8) 0%,#fff 0%,#fff -10%, rgba(0, 0, 0, 0) 60%);
}
.object-cover {
  object-fit: cover;
}
.imgSec {
  height: 500px;
}
.imgSec img{
  height: 500px;
  width: 100%;
  object-fit: cover;
}

.iframeSec {
  margin-top: -500px;
  
  clip-path: polygon(0 -30%, 100% 100%, 0% 100%, 0 0);
}
.container .gallery {
  height: 100%;
  width: 100%;
  display: flex;
  gap: 4px;
  flex-wrap: wrap;
  justify-content: center;
}
.container .panel-container {
  position: relative;
  width: 49.5%;
  height:100px;
  background: #f1ece1;
  transition: width 3s, visibility 2s;
  -webkit-user-select: none;
  user-select: none;
  order: 2;
  border: 0.5px solid #BF7F63;
}


.container .panel-container:hover {
  cursor: pointer;
}
.container .panel-container:has(.panel-control:checked) {
 width: 100%;
  height: 400px;
  order: 1;
}
.container .panel-container:has(.panel-control:checked):hover {
  -webkit-user-select: initial;
  user-select: initial;
  cursor: initial;
}
.container .panel-container .panel {
  height: 100%;
  padding: 10px;
  position: relative;
}
.container .panel-container .panel-img {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  object-fit: contain;
}
.container .panel-container .panel-id {
  font-size: 0.9rem;
  color: rgb(255 255 255);
  transform: rotate(0deg);
  width: max-content;
  padding: 0px 10px;
}
.container .panel-container .panel-control {
  display: none;
}
.container .panel-container .panel-control:checked ~ .panel-id {
  display: none;
}
.container .panel-container .panel-control:checked ~ .panel-content {
  display: flex;
}
.container .panel-container .panel-content {
  height: 100%;
  flex-direction: column;
  justify-content: space-between;
  color: white;
  position: relative;
  z-index: 5;
  overflow: hidden;
  display: none;
  transition: display 1s;
}
.container .panel-container .panel-content .head {
  padding: 10px;
  font-size: 1rem;
  position: relative;
}
.container .panel-container .panel-content .head::before {
  content: "";
  border: 1px solid white;
  margin-right: 0.75rem;
}
.container .panel-container .panel-content .head::after {
  content: "";
    height: 70%;
    width: 0;
    padding: 20px 100px;
    margin: 2px 0px;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    /* overflow: hidden; */
    background: #000000c4;
    animation: squeezeout 1s 1s forwards;
}
.container .panel-container .panel-id::after {
  content: "";
    height: 100%;
    width: 0;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    /* overflow: hidden; */
    background: #000000c4;
    animation: squeezeout 1s 1s forwards;
}

.container .panel-container .panel-content .body {
  padding: 10px;
  font-size: 1rem;
  line-height: 1.5rem;
  position: relative;
  transform: translateY(100%);
  animation: slideInTop 1.5s 2s forwards;
}
.container .panel-container .panel-content .body::before {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  background: #000000c4;
}
@keyframes fall {
  0% {
    visibility: hidden;
    transform: translateY(-100%);
  }
  100% {
    visibility: visible;
    transform: translateY(0);
  }
}
@keyframes fly {
  0% {
    visibility: hidden;
    transform: translateY(100%);
  }
  100% {
    visibility: visible;
    transform: translateY(0);
  }
}

@keyframes slideInTop {
  0% {
    transform: translateY(100%);
  }
  100% {
    transform: translateY(0);
  }
}

@keyframes squeezeout {
  0% {
    width: 1px;
  }
  100% {
    width: 100px;
  }
}
.border {
  border: 0.3px solid rgba(255, 255, 255, 0.4) !important;
}
#marquee {
  width: 100%;
}

#marquee .containerMarquee {
  overflow: hidden;
  width: 100%;
}

#marquee .pic-container {
  display: flex;
  animation: marquee 20s infinite linear;
}

/* #marquee:hover {
  animation-play-state: paused;
} */

#marquee .pic-container .pic {
  flex-basis: 40%;
  flex-shrink: 0;
}

#marquee img {
  width: 100%;
  object-fit: cover;
  border: 0.2px solid rgba(255, 255, 255, 0.4);
}

@media (max-width: 1024px) {
  #marquee .pic-container .pic {
      flex-basis: 60%;
  }
}

@media (max-width: 768px) {
  #marquee .pic-container .pic {
      flex-basis: 80%;
  }
}

@keyframes marquee {
  0% {
      transform: translateX(0);
  }
  100% {
      transform: translateX(-100%);
  }
}

@media (max-width: 1024px) {
  @keyframes marquee {
      0% {
          transform: translateX(0);
      }
      100% {
          transform: translateX(-125%);
      }
  }
}

@media (max-width: 768px) {
  @keyframes marquee {
      0% {
          transform: translateX(0);
      }
      100% {
          transform: translateX(-186.65%);
      }
  }
}
#marquee img:hover {
  -moz-animation-play-state: paused;
  -webkit-animation-play-state: paused;
  animation-play-state: paused;
  }

  @media (max-width: 768px) {
    .bgFooter{
      min-height: 250px !important;
    }
    .container .panel-container:has(.panel-control:checked) {
      width: 100% !important;
  }
 
  .container .panel-container {
    width: 48% !important;
  }
  /*.container .panel-container .panel-id {*/
  /*  transform-origin: 0 0 !important;*/
  /*  transform: rotate(90deg) !important;*/
  /*}*/
  .amenityBox {
    display: block !important;
  }
  .amenityIcon:after {
    display: none;
  }
  .amenityIcon {
    margin-bottom:8px;
}
  .rowRev {
    flex-direction: column-reverse;
  }
  .parallaxBg,.parallaxBg2 {
    background-size: contain !important;
    box-shadow: inset 0 0 0 2000px rgba(0, 0, 0, 0.75);
  }
  .parallaxBg {
    background-attachment: initial;
   }
  .hideOverflowOnMobile {
    overflow: hidden;
    }
  }